> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List account numbers by member

>  

This endpoint returns a list of account numbers associated with the specified `member`.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /users/{user_guid}/members/{member_guid}/account_numbers
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/members/{member_guid}/account_numbers:
    get:
      tags:
        - accounts
      summary: List account numbers by member
      description: >-
        This endpoint returns a list of account numbers associated with the
        specified `member`.
      operationId: listAccountNumbersByMember
      parameters:
        - $ref: '#/components/parameters/memberGuid'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/recordsPerPageMax1000'
        - $ref: '#/components/parameters/userGuid'
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/AccountNumbersResponseBody'
          description: OK
components:
  parameters:
    memberGuid:
      description: The unique id for a `member`.
      example: MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
      in: path
      name: member_guid
      required: true
      schema:
        type: string
    page:
      description: Results are paginated. Specify current page.
      example: 1
      in: query
      name: page
      schema:
        type: integer
    recordsPerPageMax1000:
      description: >-
        This specifies the number of records to be returned on each page.
        Defaults to `25`. The valid range is from `10` to `1000`. If the value
        exceeds `1000`, the default value of `25` will be used instead.
      example: 10
      in: query
      name: records_per_page
      schema:
        type: integer
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
  schemas:
    AccountNumbersResponseBody:
      properties:
        account_numbers:
          items:
            $ref: '#/components/schemas/AccountNumberResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
    AccountNumberResponse:
      properties:
        account_guid:
          example: ACT-06d7f45b-caae-0f6e-1384-01f52e75dcb1
          nullable: true
          type: string
        account_number:
          example: '10001'
          nullable: true
          type: string
        guid:
          example: ACN-8899832e-e5b4-42cd-aa25-bbf1dc889a8f
          nullable: true
          type: string
        institution_number:
          example: '123'
          nullable: true
          type: string
        loan_guarantor:
          example: U.S. DEPARTMENT OF EDUCATION (123456)
          nullable: true
          type: string
        loan_reference_number:
          example: '123456789012345'
          nullable: true
          type: string
        member_guid:
          example: MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
          nullable: true
          type: string
        passed_validation:
          example: true
          nullable: true
          type: boolean
        routing_number:
          example: '68899990000000'
          nullable: true
          type: string
        sequence_number:
          example: 1-01
          nullable: true
          type: string
        transit_number:
          example: '12345'
          nullable: true
          type: string
        user_guid:
          example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
          nullable: true
          type: string
      type: object
    PaginationResponse:
      properties:
        current_page:
          example: 1
          type: integer
        per_page:
          example: 25
          type: integer
        total_entries:
          example: 1
          type: integer
        total_pages:
          example: 1
          type: integer
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````